## kitchen

#### OS/161 Reference Manual

### Name

kitchen - run some sinks

### Synopsis

/testbin/kitchen

### Description

Runs four copies of sink. It may be useful for testing concurrent access to the console device. It may also be useful for testing job control, if you choose to pursue job control.

### Requirements

kitchen uses the following system calls:

- fork
- execv
- write
- _exit

Additionally, the subprocesses it spawns use the read system call.

kitchen should function correctly once the basic system calls are complete.

### Bugs

kitchen does not wait for its child processes to exit.